
From: Jan Dittmer <jdittmer@ppp0.net>

This patch converts the aic7xxx driver to use module_param instead of
MODULE_PARM and therefore gets rid of two warning in the non-modular build
case.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/scsi/aic7xxx/aic7xxx_osm.c |    4 +---
 1 files changed, 1 insertion(+), 3 deletions(-)

diff -puN drivers/scsi/aic7xxx/aic7xxx_osm.c~aic7xxx-remove-warnings drivers/scsi/aic7xxx/aic7xxx_osm.c
--- 25/drivers/scsi/aic7xxx/aic7xxx_osm.c~aic7xxx-remove-warnings	Mon Oct 11 16:06:57 2004
+++ 25-akpm/drivers/scsi/aic7xxx/aic7xxx_osm.c	Mon Oct 11 16:06:57 2004
@@ -438,7 +438,7 @@ MODULE_AUTHOR("Maintainer: Justin T. Gib
 MODULE_DESCRIPTION("Adaptec Aic77XX/78XX SCSI Host Bus Adapter driver");
 MODULE_LICENSE("Dual BSD/GPL");
 MODULE_VERSION(AIC7XXX_DRIVER_VERSION);
-MODULE_PARM(aic7xxx, "s");
+module_param(aic7xxx, charp, 0444);
 MODULE_PARM_DESC(aic7xxx,
 "period delimited, options string.\n"
 "	verbose			Enable verbose/diagnostic logging\n"
@@ -845,7 +845,6 @@ ahc_linux_detect(Scsi_Host_Template *tem
 		return (0);
 	}
 	ahc_linux_size_nseg();
-#ifdef MODULE
 	/*
 	 * If we've been passed any parameters, process them now.
 	 */
@@ -857,7 +856,6 @@ ahc_linux_detect(Scsi_Host_Template *tem
 "aic7xxx: to see the proper way to specify options to the aic7xxx module\n"
 "aic7xxx: Specifically, don't use any commas when passing arguments to\n"
 "aic7xxx: insmod or else it might trash certain memory areas.\n");
-#endif
 
 	template->proc_name = "aic7xxx";
 
_
